REM '****************************************************
REM '              
REM '****************************************************
REM '       ****************************************
REM '       *                                      *
REM '       *                                      *
REM '       *                                      *
REM '       ****************************************
REM '            O      O      O      O      O      
REM '            <-    ->     ok     up     down 
REM '****************************************************
REM '        16     8      2      4      1  - USB 
REM '      16     1      4      8      2  - Device
REM '****************************************************
REM '   *** USB ***
#define   _up    EQU   4
#define   _down  EQU   1
#define   _left  EQU   16
#define   _right EQU   8
#define   _ok    EQU   2
REM ' timeout
#define   _to    EQU   0 
REM '   *** Device ***
REM '#define   _up    EQU   8
REM '#define   _down  EQU   2
REM '#define   _left  EQU   16
REM '#define   _right EQU   1
REM '#define   _ok    EQU   4
REM '#define   _to    EQU   0 
REM '****************************************************

REM '   
REM '***********************************************************
#define LIGHT_ON EQU PORT 4,1
#define LIGHT_OFF EQU PORT 4,0
#define LIGHT_IN EQU PORT*{4}

#define PUMP_1_ON EQU PORT 3,1
#define PUMP_1_OFF EQU PORT 3,0

#define PUMP_2_ON EQU PORT 4,1
#define PUMP_2_OFF EQU PORT 4,0


REM '     
REM '***********************************************************

#define   PH_Up_Status   EQU   #(760)
#define   PH_Down_Status   EQU   #(761)

REM '  
#define   RT_OldSec   EQU   #(762)

REM '***********************************************************
REM '      1-32000
#define   Time_WT_Light    EQU  30


REM '***********************************************************
REM '     0   1-32000
#define   Time_Dat0_1    EQU  10
REM '       0   1-32000 +1 
#define   Time_Dat0_2    EQU  3

REM '     1   1-32000
#define   Time_Dat1_1    EQU  10
#define   Time_Dat1_2    EQU  3


REM '    
#define   M_Count     EQU   #(763)
REM '***********************************************************
REM ' PH_module_I_O.BAS

REM '  
#define    PH_Addr    EQU   764
REM '      
#define    PH_tmp     EQU   765
REM '   
#define   PH_Count    EQU   766

REM '   /   32  
#define   TXT_Buffer  EQU   700

#define   Data_0  EQU   732
#define   Data_1  EQU   733
#define   Data_2  EQU   734
#define   Data_3  EQU   735
#define   Data_4  EQU   736
#define   Data_5  EQU   737

REM '***********************************************************

REM  '   T
#define Var_Real_T   EQU  A
REM  '   PH
#define Var_Real_pH  EQU  B

REM '  
#define Var_T        EQU  C
REM '  
#define Var_d_T      EQU  D
REM '   pH 
#define Var_pH       EQU  E
REM '  pH
#define Var_d_pH     EQU  F

REM  '   CO2
#define Var_Real_CO  EQU  G


REM '   
#define Var_addrPH        EQU  a

REM '   
#define   Var_PumpWork    EQU  b

REM '   
#define   Var_PumpPause   EQU  c

REM '   
#define   Var_Pump1_mode  EQU  d
#define   Var_Pump2_mode  EQU  e

#define   Var_Hour_ON     EQU  f
#define   Var_Min_ON      EQU  g
#define   Var_Hour_OFF    EQU  h
#define   Var_Min_OFF     EQU  i

REM '  
#define   RT_Count_1   EQU   z
#define   RT_Count_2   EQU   y
#define   RT_Count_3   EQU   x
#define   RT_Count_4   EQU   w
#define   RT_Count_5   EQU   v
#define   RT_Count_6   EQU   u
REM '***********************************************************
REM '   
REM '***********************************************************
#define   EE_pH          EQU  0 
#define   EE_d_pH        EQU  2
#define   EE_PumpWork    EQU  4
#define   EE_PumpPause   EQU  6
#define   EE_Pump1_mode  EQU  8
#define   EE_Pump2_mode  EQU  10

#define   EE_T           EQU  12
#define   EE_d_T         EQU  14
#define   EE_addrPH      EQU  16

REM    /
#define   EE_Time_ON      EQU  18
#define   EE_Time_OFF      EQU  22

REM '***********************************************************
REM '    
REM '***********************************************************


REM '   PH , sec >=3
#define TimeIntervalPH EQU  5

REM  '    , 
#define TimeOut        EQU  10
#define TimeOut_1      EQU  6

REM '   PH
#define MIN_addr  EQU  48
#define MAX_addr  EQU  57  
REM '   
#define TXT_A_pH   EQU  PH
#define TXT1_A_pH  EQU .

REM ' min/max   -      
#define MIN_T  EQU  100
#define MAX_T  EQU  400
REM '   
#define TXT_T   EQU 
#define TXT1_T  EQU T

REM '   
#define MIN_d_T  EQU  0
#define MAX_d_T  EQU  50
REM '   
#define TXT_d_T  EQU   T

REM ' min/max pH -      
#define MIN_pH  EQU  10
#define MAX_pH  EQU  140
REM '   
#define TXT_pH   EQU  pH
#define TXT1_pH  EQU pH

REM '  pH
#define MIN_d_pH  EQU  0
#define MAX_d_pH  EQU  30
REM '   
#define TXT_d_pH  EQU   pH

REM '   (0-60)
#define   MIN_PumpWork  EQU  0
#define   MAX_PumpWork  EQU  60


REM '****************************************************
REM '   

#define TXT_timeON   EQU   
#define TXT_timeOFF  EQU   
#define TXT_Date     EQU  /

#define   TXT_PumpWork  EQU  ,

REM '   (0-360)
#define   MIN_PumpPause  EQU  0
#define   MAX_PumpPause  EQU  360

REM '   
#define   TXT_PumpPause  EQU  ,

REM '   
#define   TXT_Pump1  EQU   1
#define   TXT_Pump2  EQU   2

#define   MIN_ModePump  EQU  0
#define   MAX_ModePump  EQU  2

REM '   
#define   TXT_0  EQU  
#define   TXT_1  EQU  
#define   TXT_2  EQU  

#define   ModePUMP_OFF  EQU  2
#define   ModePUMP_Shel  EQU  1
#define   ModePUMP_Kisl  EQU  0

REM ' 
#define   TXT_Group_0 EQU  " PH     "
#define   TXT_Group_1 EQU  " PH   "
#define   TXT_Group_2 EQU  "      "
#define   TXT_Group_3 EQU  "       "
#define   TXT_Group_4 EQU  "  "
#define   TXT_Group_5 EQU  " -"
#define   TXT_Group_6 EQU  " ."
#define   TXT_Group_7 EQU  "  PH       "
#define   TXT_Group_8 EQU  " PH    "
#define   TXT_Group_9 EQU  " /      "
#define   TXT_Groups_1 EQU  "   "
#define   TXT_Groups_2 EQU  "  "
REM '***********************************************


















